REM $Header: 215187.1 sqlt_s53234_tc_script.sql 11.4.5.4 2013/02/04 carlos.sierra $

-- These are the non-default or modified CBO parameters on source system.
-- ALTER SYSTEM commands can be un-commented out on a test environment.
ALTER SESSION SET optimizer_features_enable = '11.2.0.3';
--ALTER SYSTEM SET "_pga_max_size" = 1717985280 SCOPE=MEMORY;
-- skip "parallel_max_degree" since it is not a real parameter.;
--ALTER SYSTEM SET parallel_threads_per_cpu = 1 SCOPE=MEMORY;
-- skip "sqlstat_enabled" since it is not a real parameter.;
ALTER SESSION SET statistics_level = 'ALL';
VAR   B1                              NUMBER;
EXEC :B1                              := 10;


SELECT /*+ gather_plan_statistics monitor bind_aware */ /* ^^unique_id */
       s1.channel_id,
       SUM(p.prod_list_price) price
  FROM products p,
       sales s1,
       sales s2
 WHERE s1.cust_id = :b1
   AND s1.prod_id = p.prod_id
   AND s1.time_id = s2.time_id
 GROUP BY
       s1.channel_id;
